<template>
  <div>
    <h1 class="mb-8">Do you have a family history of male pattern or female pattern baldness?</h1>
    <div class="space-y-3">
      <radio-input
        v-for="choice in choices"
        :key="choice"
        :input-value="choice"
        v-model="radioSelected"
      >
        {{ choice }}
      </radio-input>
    </div>
  </div>
</template>

<script>
import {answersMixin, radioMixin} from "@/utils/mixins";

export default {
  mixins: [answersMixin, radioMixin],
  name: "YourHealth14",
  data() {
    return {
      choices: [
        'Yes',
        'No',
        'Unsure'
      ],
      radioHandler: newVal => {
        this.setAnswer(this.answersKeys.YOUR_HEALTH, newVal, 'stage_14')
        this.nextStage()
      }
    }
  }
}
</script>

<style scoped>

</style>
